print [@
#ifndef CSCH_CONFIG_H
#define CSCH_CONFIG_H

#define RND_APP_PREFIX(x) csch_ ## x

#include <librnd/config.h>

@sys/types/size/includes@

typedef @sys/types/size/4_u_int@ csch_uint32_t;
typedef @sys/types/size/4_s_int@ csch_sint32_t;
@]

# coordinates and gengeo2d config
print [@
/* set to long temporarily; we'll need a local typecfg_csch_coord_t_double */
/*typedef csch_sint32_t csch_coord_t;*/
typedef long csch_coord_t;
#define GENGEO2D_TYPECFG "gengeo2d/typecfg_long_double.h"
#define G2D_INLINE RND_INLINE
@]

print [@

/* the dot-dir: where to save user config under ther user's home; it's used
   as ~/DOT_SCH_RND/ */
#define DOT_SCH_RND "@/local/csch/dot_sch_rnd@"

/* Version number of package */
#define CSCH_VERSION "@/local/version@"
#define CSCH_REVISION "@/local/revision@"

#endif
@]
